$(document).ready(function() {
    var $star_rating = $('.star-rating .fa-star');

    var SetRatingStar = function() {
        return $star_rating.each(function() {
            if (parseInt($(this).siblings('input.rating-value').val()) >= parseInt($(this).data('rating'))) {
                return $(this).addClass('checked');
            } else {
                return $(this).removeClass('checked');
            }
        });
    };

    $star_rating.on('click', function() {
        $(this).siblings('input.rating-value').val($(this).data('rating'));
        return SetRatingStar();
    });

    SetRatingStar();
});